GDB (xrefs)

Public Member Functions | List of all members
null_file Class Reference

`#include "ui-file.h"`

Inheritance diagram for null_file:

## Public Member Functions
void | write (const char *buf, long length_buf) override
void | write_async_safe (const char *buf, long sizeof_buf) override
void | puts (const char *str) override
Public Member Functions inherited from ui_file
| ui_file ()
virtual | ~ui_file ()=0
void | printf (const char *,...) ATTRIBUTE_PRINTF(2
void void | putstr (const char *str, int quoter)
void | putstrn (const char *str, int n, int quoter)
int | putc (int c)
void | vprintf (const char *, va_list) ATTRIBUTE_PRINTF(2
virtual long | read (char *buf, long length_buf)
virtual bool | isatty ()
virtual void | flush ()

## Detailed Description

Definition at line 80 of file ui-file.h.

## Member Function Documentation

## ◆ puts()

void null_file::puts | ( | const char * | str | ) |
| override virtual

Reimplemented from ui_file.

Definition at line 79 of file ui-file.c.

## ◆ write()

void null_file::write | ( | const char * | buf,
|  | long | length_buf
| ) |  |
| override virtual

Implements ui_file.

Definition at line 73 of file ui-file.c.

Referenced by gdb._GdbFile::writelines().

## ◆ write_async_safe()

void null_file::write_async_safe | ( | const char * | buf,
|  | long | sizeof_buf
| ) |  |
| override virtual

Reimplemented from ui_file.

Definition at line 85 of file ui-file.c.

The documentation for this class was generated from the following files:

- /tmp/gdb-8.1/gdb/ui-file.h
- /tmp/gdb-8.1/gdb/ui-file.c